Breaking changes

Not sure if right topic for this but I’m starting to think that on meta we should have in the top section of the OP (and maybe even the title for emphasis!!!) the latest version of discourse we’ve tested the plugin to fully support. Might save a few people from that upgrade click who knows…(or they’d just ignore/not notice it and go ahead).

2 Likes

That’s not a bad idea although who is going to take notice? People will still blindly hit the upgrade button. It’s too addictive. I guess it covers us to an extent but people will still expect remediation from us ASAP. And that is unreasonable considering we are not paid staff.

I think we should urge people who rely on a plugin heavy install to test upgrades in staging. That’s about the best mitigation. We can also push that service more heavily.

People need to take responsibility for their own infrastructure not just put upon the plugin makers.

I’ve pointed people today toward our service here:

2 Likes